Docs

Reference

Campaign test result

Latest technical test of a campaign: pending / accepted / failed / unverified (Telegram did not confirm — reconciled later, never resent), and `ready` = it covers exactly the current draft so the campaign may start / publish.

View MarkdownThis page is generated from the source code on every release.

Latest technical test of a campaign: pending / accepted / failed / unverified (Telegram did not confirm — reconciled later, never resent), and ready = it covers exactly the current draft so the campaign may start / publish.

Overview

Name Value
Code campaigns.test_status
Scope needed campaigns.write
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager
In the app Campaigns → Compose → Test send

Input fields

Field Type Required Description
id uuid Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/campaigns.test_status \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'

Output fields (data)

Field Type Required
ok true Yes
ready true/false Yes
latest null | object Yes

Example answer

{
  "data": {
    "ok": true,
    "ready": true,
    "latest": {
      "id": "00000000-0000-4000-8000-000000000000",
      "status": "failed",
      "current": true,
      "accountId": "00000000-0000-4000-8000-000000000000",
      "conversationId": "00000000-0000-4000-8000-000000000000",
      "messages": 1,
      "detail": "text",
      "createdAt": "2026-10-22T12:00:00.000Z",
      "settledAt": "2026-10-22T12:00:00.000Z"
    }
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "campaigns.test_status". Tool name when listed: campaigns_test_status.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0